# Uses of Interface
org.eclipse.net4j.util.security.IRandomizer

Packages that use IRandomizer
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of IRandomizer in org.eclipse.net4j.util.security

Classes in org.eclipse.net4j.util.security that implement IRandomizer
Modifier and Type
Class
Description
`class`
`Randomizer`
Methods in org.eclipse.net4j.util.security that return IRandomizer
Modifier and Type
Method
Description
`IRandomizer`
ChallengeNegotiator.`getRandomizer()`
`protected IRandomizer`
ChallengeNegotiatorConfigurer.`getRandomizer(IManagedContainer container, String description)`
`IRandomizer`
UserManagerAuthenticator.`getRandomizer()`
Methods in org.eclipse.net4j.util.security with parameters of type IRandomizer
Modifier and Type
Method
Description
`void`
ChallengeNegotiator.`setRandomizer(IRandomizer randomizer)`
`void`
UserManagerAuthenticator.`setRandomizer(IRandomizer randomizer)`